import jaggl.OpenGL;

public class Class159 implements Interface11 {

   int anInt1958;
   int anInt1959;
   Class147_Sub1 aClass147_Sub1_1960;


   public void method44(int var1) {
      OpenGL.glFramebufferTexture2DEXT('\u8d40', var1, this.anInt1958, this.aClass147_Sub1_1960.anInt1701, this.anInt1959);
   }

   public int method30() {
      return this.aClass147_Sub1_1960.anInt9837;
   }

   public int method35() {
      return this.aClass147_Sub1_1960.anInt9837;
   }

   public void method45(int var1) {
      OpenGL.glFramebufferTexture2DEXT('\u8d40', var1, this.anInt1958, this.aClass147_Sub1_1960.anInt1701, this.anInt1959);
   }

   public void method10() {}

   public int method31() {
      return this.aClass147_Sub1_1960.anInt9837;
   }

   public void method8() {}

   public int method33() {
      return this.aClass147_Sub1_1960.anInt9837;
   }

   public int method29() {
      return this.aClass147_Sub1_1960.anInt9837;
   }

   public void method9() {}

   public int method32() {
      return this.aClass147_Sub1_1960.anInt9837;
   }

   public int method34() {
      return this.aClass147_Sub1_1960.anInt9837;
   }

   public void method47(int var1) {
      OpenGL.glFramebufferTexture2DEXT('\u8d40', var1, this.anInt1958, this.aClass147_Sub1_1960.anInt1701, this.anInt1959);
   }

   public void method46(int var1) {
      OpenGL.glFramebufferTexture2DEXT('\u8d40', var1, this.anInt1958, this.aClass147_Sub1_1960.anInt1701, this.anInt1959);
   }

   Class159(Class147_Sub1 var1, int var2, int var3) {
      this.anInt1959 = var3;
      this.aClass147_Sub1_1960 = var1;
      this.anInt1958 = var2;
   }
}
